Subject: Re: bug#50658: Error messages including function names violates coding conventions

From: Stefan Kangas <[email-masked]>
Date: Sat, 18 Sep 2021 04:58:01 -0700

Eli Zaretskii <[email-masked]> writes:

> I think it's a bug in checkdoc: the error message text, which excludes
> the function name, fulfills the requirement.

OK, I'll see about fixing it.

>> 2. We modify the above coding convention to say that including the
>>    function name at the start is okay.  Presumably this includes
>>    updating checkdoc to check that it is actually the function name that
>>    is used (or perhaps to just accept any symbol).
>
> I think 2 is TRT, except that it isn't really a change in the
> conventions.

How about this clarification:

diff --git a/doc/lispref/tips.texi b/doc/lispref/tips.texi
index a72ab88cef..c6c16211e4 100644
--- a/doc/lispref/tips.texi
+++ b/doc/lispref/tips.texi
@@ -392,8 +392,9 @@ Programming Tips
 @code{beep} to report errors.

 @item
-An error message should start with a capital letter but should not end
-with a period.
+An error message should start with a capital letter or a Lisp symbol,
+as in ``foo-command: Invalid input''.  It should not end with a
+period.

 @item
 A question asked in the minibuffer with @code{yes-or-no-p} or